mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.EvidenceBase System.Security.Policy.IBuiltInEvidence System.Security.Policy.IIdentityPermissionFactory System.Runtime.InteropServices.ComVisible(true)

The presence of evidence produces a in the grant set. If there is a for , the that corresponds to the evidence will be compared with the demanded permission.

Site identity is defined for code from URLs with any protocol except FILE. A site is the string between the "//" after the protocol of a URL and the following "/", if present. For example, www.fourthcoffee.com is the site identity in the URL http://www.fourthcoffee.com/process/grind.htm. This excludes port numbers. If a given URL is http://www.fourthcoffee.com:8000/, the site is www.fourthcoffee.com, not www.fourthcoffee.com:8000.

Provides the Web site from which a code assembly originates as evidence for policy evaluation. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the website from which a code assembly originates.

  The website of origin for the associated code assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Creates an equivalent copy of the object.

  A new object that is identical to the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Site `` To be added

  Creates a new object from the specified URL.

  A new site object.

  The URL from which to create the new object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` To be added

  Creates an identity permission that corresponds to the current object.

  A site identity permission for the current object.

  The evidence from which to construct the identity permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  objects are equal if they designate the same website name.

  Compares the current to the specified object for equivalence.

  true if the two instances of the class are equal; otherwise, false.

  The object to test for equivalence with the current object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code of the current website name.

  The hash code of the current website name.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the website from which the code assembly originates.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a string representation of the current object.

  A representation of the current site.